import React from "react";
import style from "./item.module.css";
import { Link } from "gatsby";

export default (props) => (
  <Link to={props.to} className={style.projectItem}>
    <h3 className={style.projectTitle}>{props.title}</h3>
    <p className={style.projectSubtitle}>{props.subtitle}</p>
  </Link>
);