import Typography from "typography";

const typography = new Typography({
  baseFontSize: '18px',
  baseLineHeight: 1.666,
  headerFontFamily: [
    'M PLUS 1p', 'Helvetica Neue', 'Segoe UI', 'Helvetica', 'Arial', 'sans-serif'
  ],
  bodyFontFamily: ['Georgia', 'serif'],
  googleFonts: [
    {
      name: "M PLUS 1p",
      styles: ['100', '400'],
    }
  ]
});

// Export helper functions
export const { scale, rhythm, options } = typography;
export default typography;